<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
<title>Users</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
</head>

<body>
	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					href="/users/list">Utenti <span class="sr-only">(current)</span></a>

				</li>
				<li class="nav-item active"><a class="nav-link"
					href="/aziende/list">Aziende</a></li>
				<li class="nav-item active"><a class="nav-link"
					href="/universita/list">Universita</a></li>
				<li class="nav-item active"><a class="nav-link"
					href="/studenti/list">Studenti</a></li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				<input class="form-control mr-sm-2" type="text" placeholder="Search"
					aria-label="Search">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
		</div>
	</nav>

	<div class="container">
		<h3>Users</h3>
		<hr>
		<!-- Add employee button -->
		<a th:href="@{/employees/showFormForAdd}"
			class="btn btn-primary btn-sm mb-3">Add Employee</a>

		<table class="table table-bordered table-striped">
			<thead class="thead-dark">
				<tr>
					<th>IdUniversita</th>
					<th>Nome</th>
					<th>Username</th>
					<th>Action</th>
				</tr>
			</thead>

			<tbody>
				<tr th:each="temp : ${universita}">
					<td th:text="${temp.iduniversita}" />
					<td th:text="${temp.nome}" />
					<td th:text="${temp.utenzaUni.username}" />
					<td><a
						th:href="@{/universita/showFormForUpdate(idUni=${temp.iduniversita})}"
						class="btn btn-info btn-sm">Update</a> <!-- 							<a th:href="@{/employees/delete(employeeId=${tempEmp.id})}" -->
						<!-- 								class="btn btn-danger btn-sm" onclick="if(!(confirm('Are you sure you want to delete this employee?'))) return false">Delete</a>	 -->
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</body>
</html>